## ros2-test-interface-files 0.10.0

=== debian/changelog ===
ros2-test-interface-files (0.10.0-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Jun 2022 23:20:15 +0200

ros2-test-interface-files (0.10.0-1) unstable; urgency=medium

  * Initial release (Closes: #1013151)

 -- Timo Röhling <roehling@debian.org>  Fri, 17 Jun 2022 22:36:48 +0200

## ros2-test-interface-files 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_interface_files NONE)

find_package(ament_cmake_core REQUIRED)

set(msg_files
  "msg/Arrays.msg"
  "msg/BasicTypes.msg"
  "msg/BoundedPlainSequences.msg"
  "msg/BoundedSequences.msg"
  "msg/Constants.msg"
  "msg/Defaults.msg"
  "msg/Empty.msg"
  "msg/MultiNested.msg"
  "msg/Nested.msg"
  "msg/Strings.msg"
  "msg/UnboundedSequences.msg"
  "msg/WStrings.msg"
)

set(srv_files
  "srv/Arrays.srv"
  "srv/BasicTypes.srv"
  "srv/Empty.srv"
)

set(action_files
  "action/Fibonacci.action"
)

set(idl_files
  # "idl/IdlOnlyTypes.idl"
)

set(interface_install_dir "share/${PROJECT_NAME}")

install(
  FILES ${msg_files}
  DESTINATION ${interface_install_dir}/msg
)
install(
  FILES ${srv_files}
  DESTINATION ${interface_install_dir}/srv
)
install(
  FILES ${action_files}
  DESTINATION ${interface_install_dir}/action
)
install(
  FILES ${idl_files}
  DESTINATION ${interface_install_dir}/idl
)

ament_package(
  CONFIG_EXTRAS ${PROJECT_NAME}-extras.cmake.in
)

## ros2-test-interface-files 0.10.1

=== debian/changelog ===
ros2-test-interface-files (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Sep 2022 20:44:29 +0200

=== debian/control ===
Source: ros2-test-interface-files
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 ament-cmake,
 cmake,
Homepage: https://github.com/ros2/test_interface_files
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-test-interface-files.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-test-interface-files
Description: Test interface files for ROS 2
 This package provides message definitions and fixtures which are used
 exclusively for testing purposes.

Package: ros2-test-interface-files
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/ros2/test_interface_files/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros2-test-interface-files 0.11.0

=== debian/changelog ===
ros2-test-interface-files (0.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.11.0
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Jun 2023 22:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ament-cmake,
  cmake,
 Homepage: https://github.com/ros2/test_interface_files
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-test-interface-files.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-test-interface-files

## ros2-test-interface-files 0.12.0

=== debian/changelog ===
ros2-test-interface-files (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 02 May 2024 16:50:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ament-cmake,
  cmake,
 Homepage: https://github.com/ros2/test_interface_files
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-test-interface-files.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-test-interface-files

## ros2-test-interface-files 0.13.0

=== debian/changelog ===
ros2-test-interface-files (0.13.0-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 0.13.0
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Dec 2024 10:26:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
+ ament-cmake,
+ cmake,
  debhelper-compat (= 13),
  dh-ros,
- ament-cmake,
- cmake,
 Homepage: https://github.com/ros2/test_interface_files
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros2/test_interface_files/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
